X DPMS Extension Functions
Ecore » Ecore_X - X11 Integration

Functions related to the X DPMS extension. More...

## Functions

Eina_Bool | ecore_x_dpms_query (void)
| Checks if the X DPMS extension is available on the server.
Eina_Bool | ecore_x_dpms_capable_get (void)
| Checks if the X server is capable of DPMS.
Eina_Bool | ecore_x_dpms_enabled_get (void)
| Checks the DPMS state of the display.
void | ecore_x_dpms_enabled_set (int enabled)
| Sets the DPMS state of the display.
void | ecore_x_dpms_timeouts_get (unsigned int *standby, unsigned int *suspend, unsigned int *off)
| Gets the timeouts.
Eina_Bool | ecore_x_dpms_timeouts_set (unsigned int standby, unsigned int suspend, unsigned int off)
| Sets the timeouts.
unsigned int | ecore_x_dpms_timeout_standby_get (void)
| Returns the amount of time of inactivity before standby mode is invoked.
unsigned int | ecore_x_dpms_timeout_suspend_get (void)
| Returns the amount of time of inactivity before the second level of power saving is invoked.
unsigned int | ecore_x_dpms_timeout_off_get (void)
| Returns the amount of time of inactivity before the third and final level of power saving is invoked.
void | ecore_x_dpms_timeout_standby_set (unsigned int new_timeout)
| Sets the standby timeout (in unit of seconds).
void | ecore_x_dpms_timeout_suspend_set (unsigned int new_timeout)
| Sets the suspend timeout (in unit of seconds).
void | ecore_x_dpms_timeout_off_set (unsigned int new_timeout)
| Sets the off timeout (in unit of seconds).
void | ecore_x_dpms_force (Eina_Bool on)
| Forces DPMS on or off.

## Detailed Description

Functions related to the X DPMS extension.

## Function Documentation

## ecore_x_dpms_query()

Eina_Bool ecore_x_dpms_query | ( | void |  | ) |

Checks if the X DPMS extension is available on the server.

Returns
  `1` if the X DPMS extension is available, `0` otherwise.

## ecore_x_dpms_capable_get()

Eina_Bool ecore_x_dpms_capable_get | ( | void |  | ) |

Checks if the X server is capable of DPMS.

Returns
  `1` if the X server is capable of DPMS, `0` otherwise.

References EINA_FALSE, EINA_SAFETY_ON_NULL_RETURN_VAL, and EINA_TRUE.

## ecore_x_dpms_enabled_get()

Eina_Bool ecore_x_dpms_enabled_get | ( | void |  | ) |

Checks the DPMS state of the display.

Returns
  `1` if DPMS is enabled, `0` otherwise.

References EINA_FALSE, EINA_SAFETY_ON_NULL_RETURN_VAL, and EINA_TRUE.

## ecore_x_dpms_enabled_set()

void ecore_x_dpms_enabled_set | ( | int | enabled | ) |

Sets the DPMS state of the display.

Parameters

  enabled | `0` to disable DPMS characteristics of the server, enable it otherwise.

References EINA_SAFETY_ON_NULL_RETURN.

## ecore_x_dpms_timeouts_get()

void ecore_x_dpms_timeouts_get | ( | unsigned int * | standby,
|  | unsigned int * | suspend,
|  | unsigned int * | off )

Gets the timeouts.

The values are in unit of seconds.

Parameters

  standby | Amount of time of inactivity before standby mode will be invoked.
  suspend | Amount of time of inactivity before the screen is placed into suspend mode.
  off | Amount of time of inactivity before the monitor is shut off.

References EINA_SAFETY_ON_NULL_RETURN.

## ecore_x_dpms_timeouts_set()

Eina_Bool ecore_x_dpms_timeouts_set | ( | unsigned int | standby,
|  | unsigned int | suspend,
|  | unsigned int | off )

Sets the timeouts.

The values are in unit of seconds.

Parameters

  standby | Amount of time of inactivity before standby mode will be invoked.
  suspend | Amount of time of inactivity before the screen is placed into suspend mode.
  off | Amount of time of inactivity before the monitor is shut off.

References EINA_FALSE, EINA_SAFETY_ON_NULL_RETURN_VAL, and EINA_TRUE.

## ecore_x_dpms_timeout_standby_get()

unsigned int ecore_x_dpms_timeout_standby_get | ( | void |  | ) |

Returns the amount of time of inactivity before standby mode is invoked.

Returns
  The standby timeout value.

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ecore_x_dpms_timeout_suspend_get()

unsigned int ecore_x_dpms_timeout_suspend_get | ( | void |  | ) |

Returns the amount of time of inactivity before the second level of power saving is invoked.

Returns
  The suspend timeout value.

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ecore_x_dpms_timeout_off_get()

unsigned int ecore_x_dpms_timeout_off_get | ( | void |  | ) |

Returns the amount of time of inactivity before the third and final level of power saving is invoked.

Returns
  The off timeout value.

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ecore_x_dpms_timeout_standby_set()

void ecore_x_dpms_timeout_standby_set | ( | unsigned int | new_timeout | ) |

Sets the standby timeout (in unit of seconds).

Parameters

  new_timeout | Amount of time of inactivity before standby mode will be invoked.

References EINA_SAFETY_ON_NULL_RETURN.

## ecore_x_dpms_timeout_suspend_set()

void ecore_x_dpms_timeout_suspend_set | ( | unsigned int | new_timeout | ) |

Sets the suspend timeout (in unit of seconds).

Parameters

  new_timeout | Amount of time of inactivity before the screen is placed into suspend mode.

References EINA_SAFETY_ON_NULL_RETURN.

## ecore_x_dpms_timeout_off_set()

void ecore_x_dpms_timeout_off_set | ( | unsigned int | new_timeout | ) |

Sets the off timeout (in unit of seconds).

Parameters

  new_timeout | Amount of time of inactivity before the monitor is shut off.

References EINA_SAFETY_ON_NULL_RETURN.

## ecore_x_dpms_force()

void ecore_x_dpms_force | ( | Eina_Bool | on | ) |

Forces DPMS on or off.

Parameters

  on | If DPMS is to be forced on (EINA_TRUE) or forced off

References EINA_SAFETY_ON_NULL_RETURN.